## autoradio 2.8.2

=== anoggplayer/Makefile ===
HAXE = haxe
HX_FILES = 				\
	org/xiph/fogg/Buffer.hx		\
	org/xiph/fogg/SyncState.hx	\
	org/xiph/fogg/Packet.hx		\
	org/xiph/fogg/StreamState.hx	\
	org/xiph/fogg/Page.hx		\
	org/xiph/foggy/Demuxer.hx	\
	org/xiph/system/Bytes.hx	\
	org/xiph/system/AudioSink.hx	\
	org/xiph/fvorbis/Block.hx	\
	org/xiph/fvorbis/CodeBook.hx	\
	org/xiph/fvorbis/Comment.hx	\
	org/xiph/fvorbis/Drft.hx	\
	org/xiph/fvorbis/DspState.hx	\
	org/xiph/fvorbis/EncodeAuxNearestMatch.hx	\
	org/xiph/fvorbis/EncodeAuxThreshMatch.hx	\
	org/xiph/fvorbis/Floor0.hx	\
	org/xiph/fvorbis/Floor1.hx	\
	org/xiph/fvorbis/FuncFloor.hx	\
	org/xiph/fvorbis/FuncMapping.hx	\
	org/xiph/fvorbis/FuncResidue.hx	\
	org/xiph/fvorbis/FuncTime.hx	\
	org/xiph/fvorbis/Info.hx	\
	org/xiph/fvorbis/InfoMode.hx	\
	org/xiph/fvorbis/Lookup.hx	\
	org/xiph/fvorbis/Lpc.hx		\
	org/xiph/fvorbis/Lsp.hx		\
	org/xiph/fvorbis/Mapping0.hx	\
	org/xiph/fvorbis/Mdct.hx	\
	org/xiph/fvorbis/PsyInfo.hx	\
	org/xiph/fvorbis/Residue0.hx	\
	org/xiph/fvorbis/Residue1.hx	\
	org/xiph/fvorbis/Residue2.hx	\
	org/xiph/fvorbis/StaticCodeBook.hx	\
	org/xiph/fvorbis/Time0.hx	\
	System.hx			\
	ArrayTools.hx			\
	VectorTools.hx

AnOgg.swf: build.hxml AnOggPlayer.hx $(HX_FILES)
	$(HAXE) -cp . -swf-version 10 -swf-header 200:200:30:000000 build.hxml

clean:
	rm -f AnOgg.swf

=== debian/changelog ===
autoradio (2.8.2-4) unstable; urgency=low

  * Added Vcs and Git field in debian/control
  * Fixed copyright file
  * Removed boilerplate comments from debian/watch
  * Added postrm script to purge left files on system

 -- Andrea Capriotti <capriott@debian.org>  Wed, 16 Jul 2014 15:20:16 +0200

autoradio (2.8.2-3) unstable; urgency=low

  * Removed Build-Depends-Indep dependency on python-support
  * Fixed copyright file

 -- Andrea Capriotti <capriott@debian.org>  Mon, 07 Jul 2014 22:17:28 +0200

autoradio (2.8.2-2) unstable; urgency=low

  * Fixed anoggplayer and mpris2 licenses in Debian copyright file

 -- Andrea Capriotti <capriott@debian.org>  Mon, 07 Jul 2014 16:52:07 +0200

autoradio (2.8.2-1) unstable; urgency=low

  * Initial release (Closes: #572927)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 06 May 2014 20:04:16 +0200

=== debian/control ===
Source: autoradio
Section: sound
Priority: extra
Maintainer: Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python, python-setuptools, python-django (>=1.0.3) , python-configobj, gettext, haxe
Standards-Version: 3.9.5
Homepage: http://autoradiobc.sf.net
Vcs-Git: git://anonscm.debian.org/collab-maint/autoradio.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/autoradio.git;a=summary

Package: autoradio
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, python, python-reportlab (>=2.0) , python-configobj, python-django (>=1.0.3) , python-django-extensions , audacious, python-mutagen (>=1.17) ,python-cherrypy3 , python-dbus, python-magic, libjs-jquery, libjs-swfobject, libcortado-java
Description: radio automation software
 Simple to use, starting from digital audio
 files, manage on-air broadcasting over a radio-station or
 web-radio. The main components are:
 .
    * Player (Xmms/Audacious): plays all your media files and send
      digital sound to an audio device or audio server
 .
    * Scheduler: real time manager for emission of special audio files
      like jingles, spots, playlist and programs; interact with player
      like supervisor User
 .
    * inteface: WEB interface to monitor the player and scheduler and
      admin the schedules for the complete control over your station
      format. The web interface allows you to easily publish podcasts
      that conform to the RSS 2.0 and iTunes RSS podcast specifications
      The web interface provide a "full compatible" ogg player.
 .
 Developed with Python, Django, Dbus it works in an production environment

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
		dh_auto_clean
		python setup.py distclean
		cd anoggplayer && make clean
		rm -rf autoradio.egg-info
override_dh_auto_build:
		
		cd anoggplayer && make
		chmod +x autoplayergui
		dh_auto_build
override_dh_link:
		dh_link usr/share/cortado usr/share/autoradio/media/sito/playogg/java
		dh_link usr/share/javascript/jquery usr/share/autoradio/media/sito/playogg/js
		dh_link usr/share/javascript/swfobject usr/share/autoradio/media/sito/playogg/swfobject
		dh_link

=== debian/watch ===
version=3
http://sf.net/autoradiobc/autoradio-(.*)\.tar\.gz

## autoradio 2.8.2%2Bdfsg

=== debian/changelog ===
autoradio (2.8.2+dfsg-5) unstable; urgency=medium

  * Removed anoggplayer and Build-Depends-Indep dependency on haxe
  * debian/control: Set Standards-Version to 3.9.6; no changes

 -- Andrea Capriotti <capriott@debian.org>  Sat, 18 Oct 2014 16:50:19 +0200

## autoradio 2.8.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python, python-setuptools, python-django (>=1.0.3) , python-configobj, gettext, haxe
-Standards-Version: 3.9.5
+Build-Depends-Indep: python, python-setuptools, python-django (>=1.0.3) , python-configobj, gettext
+Standards-Version: 3.9.6
 Homepage: http://autoradiobc.sf.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/autoradio.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/autoradio.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,8 @@
 override_dh_auto_clean:
 		dh_auto_clean
 		python setup.py distclean
-		cd anoggplayer && make clean
 		rm -rf autoradio.egg-info
 override_dh_auto_build:
-		
-		cd anoggplayer && make
 		chmod +x autoplayergui
 		dh_auto_build
 override_dh_link:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/autoradiobc/autoradio-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## autoradio 2.8.6

=== debian/changelog ===
autoradio (2.8.6-1) unstable; urgency=high

  * New upstream release
  * Removed python-cherrypy dependency
  * Fixed Vcs-Git and Vcs-Browser fields in debian/control

 -- Andrea Capriotti <capriott@debian.org>  Mon, 24 Oct 2016 21:19:09 +0200

autoradio (2.8.5-1) unstable; urgency=high

  * New upstream release (Closes: #755583)
  * Standard version bumped to 3.9.8

 -- Andrea Capriotti <capriott@debian.org>  Sun, 16 Oct 2016 13:58:57 +0200

=== debian/control ===
Source: autoradio
Section: sound
Priority: extra
Maintainer: Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python, python-setuptools, python-django (>=1.7.0) , python-configobj, help2man, gettext
Standards-Version: 3.9.8
Homepage: https://github.com/pat1/autoradio
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/autoradio.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autoradio.git

Package: autoradio
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sqlite3, speex, python, python-reportlab (>=2.0), python-configobj, python-django (>=1.7.0),  python-mutagen (>=1.17), python-dbus, python-magic, python-docutils, python-pil, python-six, python-gst-1.0, libjs-jquery, libjs-swfobject, libcortado-java, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
Suggests: python-django-extensions
Description: radio automation software
 Simple to use, starting from digital audio
 files, manage on-air broadcasting over a radio-station or
 web-radio. The main components are:
 .
    * Player (gstreamer): plays all your media files and send
      digital sound to an audio device or audio server
 .
    * Scheduler: real time manager for emission of special audio files
      like jingles, spots, playlist and programs; interact with player
      like supervisor User
 .
    * Interface: WEB interface to monitor the player and scheduler and
      admin the schedules for the complete control over your station
      format. The web interface allows you to easily publish podcasts
      that conform to the RSS 2.0 and iTunes RSS podcast specifications
      The web interface provide a "full compatible" ogg player.
 .
 Developed with Python, Django, Dbus it works in an production environment

## autoradio 3.1

=== debian/changelog ===
autoradio (3.1-4) unstable; urgency=medium

  * Added libjs-jquery to Build-Depends-Indep

 -- Andrea Capriotti <capriott@debian.org>  Thu, 06 Sep 2018 22:42:04 +0200

autoradio (3.1-3) unstable; urgency=medium

  * Added python3-magic Build-Depends-Indep

 -- Andrea Capriotti <capriott@debian.org>  Wed, 05 Sep 2018 13:27:26 +0200

autoradio (3.1-2) unstable; urgency=medium

  * Fixed Python module location
  * Set priority optional
  * Standard version bumped to 4.2.1

 -- Andrea Capriotti <capriott@debian.org>  Wed, 05 Sep 2018 11:40:56 +0200

autoradio (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #849084, #902637)
  * Standard version bumped to 4.1.5

 -- Andrea Capriotti <capriott@debian.org>  Thu, 30 Aug 2018 15:44:06 +0200

autoradio (2.8.10-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to 4.1.4
  * Git repository migrated to Salsa

 -- Andrea Capriotti <capriott@debian.org>  Sat, 09 Jun 2018 01:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: autoradio
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python, python-setuptools, python-django (>=1.7.0) , python-configobj, help2man, gettext
-Standards-Version: 3.9.8
+Build-Depends-Indep: dh-python, python3, python3-setuptools, python3-django, python3-magic, python3-configobj, python3-future, python3-dbus, help2man, gettext, libjs-jquery
+Standards-Version: 4.2.1
 Homepage: https://github.com/pat1/autoradio
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/autoradio.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autoradio.git
+Vcs-Git: https://salsa.debian.org/debian/autoradio.git
+Vcs-Browser: https://salsa.debian.org/debian/autoradio
 
 Package: autoradio
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sqlite3, speex, python, python-reportlab (>=2.0), python-configobj, python-django (>=1.7.0),  python-mutagen (>=1.17), python-dbus, python-magic, python-docutils, python-pil, python-six, python-gst-1.0, libjs-jquery, libjs-swfobject, libcortado-java, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
-Suggests: python-django-extensions
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sqlite3, speex, python3, python3-reportlab, python3-configobj, python3-django,  python3-mutagen, python3-dbus, python3-magic, python3-docutils, python3-pil, python3-six, python3-gst-1.0, libjs-jquery, libjs-swfobject, libcortado-java, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
+Suggests: python3-django-extensions
 Description: radio automation software
  Simple to use, starting from digital audio
  files, manage on-air broadcasting over a radio-station or

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=autoradio
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/lib/python3/dist-packages/
export PYTHONDONTWRITEBYTECODE=true

%:
	dh $@ --with python3 --buildsystem=pybuild
override_dh_auto_clean:
		dh_auto_clean
		python3 setup.py distclean
		rm -rf autoradio.egg-info
		rm -rf $$(find autoradio/ -name __pycache__)
override_dh_auto_build:
		dh_auto_build
override_dh_link:
		dh_link usr/share/cortado usr/lib/python3/dist-packages/autoradio/media/sito/playogg/java
		dh_link usr/share/javascript/jquery usr/lib/python3/dist-packages/autoradio/media/sito/playogg/js
		dh_link usr/share/javascript/swfobject usr/lib/python3/dist-packages/autoradio/media/sito/playogg/swfobject
		dh_link

## autoradio 3.4

=== debian/changelog ===
autoradio (3.4-4) unstable; urgency=medium

  * Revert changes to Standards-Version and debhelper level

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Jun 2021 19:11:28 +0200

autoradio (3.4-3) unstable; urgency=medium

  * d/control: Add missing python3-future to Depends (Closes: #956367)
  * d/control: Update Standards-Version to 4.5.1
  * d/control: Switch to debhelper level 13

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Jun 2021 14:05:27 +0200

autoradio (3.4-2) unstable; urgency=medium

  * New source upload

 -- Andrea Capriotti <capriott@debian.org>  Tue, 31 Mar 2020 12:00:51 +0200

autoradio (3.4-1) unstable; urgency=medium

  * New upstream release (Closes: #951934)
  * d/watch: Use debian only release
  * Update Standards-Version to 4.5.0
  * Switch to debhelper level 12

 -- Andrea Capriotti <capriott@debian.org>  Tue, 17 Mar 2020 23:20:05 +0100

autoradio (3.1-6) unstable; urgency=medium

  * Use https protocol in Format field. Thanks Ondřej Nový.

 -- Andrea Capriotti <capriott@debian.org>  Tue, 09 Oct 2018 15:16:20 +0200

autoradio (3.1-5) unstable; urgency=medium

  * Removed libjs-swfobject Depends (Closes: #908695)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 09 Oct 2018 13:09:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: dh-python, python3, python3-setuptools, python3-django, python3-magic, python3-configobj, python3-future, python3-dbus, help2man, gettext, libjs-jquery
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/pat1/autoradio
 Vcs-Git: https://salsa.debian.org/debian/autoradio.git
 Vcs-Browser: https://salsa.debian.org/debian/autoradio
 
 Package: autoradio
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sqlite3, speex, python3, python3-reportlab, python3-configobj, python3-django,  python3-mutagen, python3-dbus, python3-magic, python3-docutils, python3-pil, python3-six, python3-gst-1.0, libjs-jquery, libjs-swfobject, libcortado-java, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sqlite3, speex, python3, python3-reportlab, python3-configobj, python3-django, python3-future, python3-mutagen, python3-dbus, python3-magic, python3-docutils, python3-pil, python3-six, python3-gst-1.0, libjs-jquery, libcortado-java, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
 Suggests: python3-django-extensions
 Description: radio automation software
  Simple to use, starting from digital audio

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,4 @@
 override_dh_link:
 		dh_link usr/share/cortado usr/lib/python3/dist-packages/autoradio/media/sito/playogg/java
 		dh_link usr/share/javascript/jquery usr/lib/python3/dist-packages/autoradio/media/sito/playogg/js
-		dh_link usr/share/javascript/swfobject usr/lib/python3/dist-packages/autoradio/media/sito/playogg/swfobject
 		dh_link

## autoradio 3.6.4

=== debian/changelog ===
autoradio (3.6.4-1) unstable; urgency=medium

  * Non-maintainer Upload
  * New upstream version 3.6.4
  * add patch to fix FTBFS with DJango 3 (Closes: #1052737)
  * remove useless dependency on python3-six (Closes: #1054207)
  * remove dep on deprecated python3-future
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 11:26:00 +0100

=== debian/control ===
Source: autoradio
Section: sound
Priority: optional
Maintainer: Andrea Capriotti <capriott@debian.org>
Build-Depends:
 debhelper-compat (= 12)
Build-Depends-Indep:
 dh-sequence-python3,
 gettext,
 help2man,
 libjs-jquery,
 python3,
 python3-configobj,
 python3-dbus,
 python3-django,
 python3-magic,
 python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/pat1/autoradio
Vcs-Git: https://salsa.debian.org/debian/autoradio.git
Vcs-Browser: https://salsa.debian.org/debian/autoradio

Package: autoradio
Architecture: all
Depends:
 adduser,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 libcortado-java,
 libjs-jquery,
 python3,
 python3-configobj,
 python3-dbus,
 python3-django,
 python3-docutils,
 python3-gst-1.0,
 python3-magic,
 python3-mutagen,
 python3-pil,
 python3-reportlab,
 speex,
 sqlite3,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 python3-django-extensions
Description: radio automation software
 Simple to use, starting from digital audio
 files, manage on-air broadcasting over a radio-station or
 web-radio. The main components are:
 .
    * Player (GStreamer): plays all your media files and send
      digital sound to an audio device or audio server
 .
    * Scheduler: real time manager for emission of special audio files
      like jingles, spots, playlist and programs; interact with player
      like supervisor User
 .
    * Interface: WEB interface to monitor the player and scheduler and
      admin the schedules for the complete control over your station
      format. The web interface allows you to easily publish podcasts
      that conform to the RSS 2.0 and iTunes RSS podcast specifications
      The web interface provide a "full compatible" ogg player.
 .
 Developed with Python, Django, Dbus it works in an production environment

## autoradio 3.8.2

=== debian/changelog ===
autoradio (3.8.2-2) unstable; urgency=medium

  * d/control: fix python Build-Depends
  * d/watch: fix regex

 -- Andrea Capriotti <capriott@debian.org>  Thu, 13 Nov 2025 22:29:47 +0100

autoradio (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * remove patch ugettext_lazy. Merged into the upstream repository.
  * d/control: Update Standards-Version to 4.7.2
  * d/control: Add python3-gi to Depends
  * upstream ported to pygobject 3 (Closes: 1118278)

 -- Andrea Capriotti <capriott@debian.org>  Sat, 08 Nov 2025 11:54:51 +0100

=== debian/watch ===
version=4
https://github.com/pat1/autoradio/tags .*/v?(\d.*)@ARCHIVE_EXT@

## autoradio 3.8.3

=== anoggplayer/anoggplayer/Makefile ===
HAXE = haxe
HX_FILES = 				\
	org/xiph/fogg/Buffer.hx		\
	org/xiph/fogg/SyncState.hx	\
	org/xiph/fogg/Packet.hx		\
	org/xiph/fogg/StreamState.hx	\
	org/xiph/fogg/Page.hx		\
	org/xiph/foggy/Demuxer.hx	\
	org/xiph/system/Bytes.hx	\
	org/xiph/system/AudioSink.hx	\
	org/xiph/fvorbis/Block.hx	\
	org/xiph/fvorbis/CodeBook.hx	\
	org/xiph/fvorbis/Comment.hx	\
	org/xiph/fvorbis/Drft.hx	\
	org/xiph/fvorbis/DspState.hx	\
	org/xiph/fvorbis/EncodeAuxNearestMatch.hx	\
	org/xiph/fvorbis/EncodeAuxThreshMatch.hx	\
	org/xiph/fvorbis/Floor0.hx	\
	org/xiph/fvorbis/Floor1.hx	\
	org/xiph/fvorbis/FuncFloor.hx	\
	org/xiph/fvorbis/FuncMapping.hx	\
	org/xiph/fvorbis/FuncResidue.hx	\
	org/xiph/fvorbis/FuncTime.hx	\
	org/xiph/fvorbis/Info.hx	\
	org/xiph/fvorbis/InfoMode.hx	\
	org/xiph/fvorbis/Lookup.hx	\
	org/xiph/fvorbis/Lpc.hx		\
	org/xiph/fvorbis/Lsp.hx		\
	org/xiph/fvorbis/Mapping0.hx	\
	org/xiph/fvorbis/Mdct.hx	\
	org/xiph/fvorbis/PsyInfo.hx	\
	org/xiph/fvorbis/Residue0.hx	\
	org/xiph/fvorbis/Residue1.hx	\
	org/xiph/fvorbis/Residue2.hx	\
	org/xiph/fvorbis/StaticCodeBook.hx	\
	org/xiph/fvorbis/Time0.hx	\
	System.hx			\
	ArrayTools.hx			\
	VectorTools.hx

AnOgg.swf: build.hxml AnOggPlayer.hx $(HX_FILES)
	$(HAXE) -cp . -swf-version 10 -swf-header 200:200:30:000000 build.hxml

clean:
	rm -f ../../autoradio/programs/static/programs/playogg/flash/AnOgg.swf

=== debian/changelog ===
autoradio (3.8.3-6) unstable; urgency=medium

  * d/watch revert version to 4

 -- Andrea Capriotti <capriott@debian.org>  Sat, 15 Nov 2025 00:05:05 +0100

autoradio (3.8.3-5) unstable; urgency=medium

  * remove Build-Depends-Indep

 -- Andrea Capriotti <capriott@debian.org>  Fri, 14 Nov 2025 21:22:55 +0100

autoradio (3.8.3-4) unstable; urgency=medium

  * d/control: move configobj to Build-Depends

 -- Andrea Capriotti <capriott@debian.org>  Fri, 14 Nov 2025 21:11:48 +0100

autoradio (3.8.3-3) unstable; urgency=medium

  * d/control: move django to Build-Depends

 -- Andrea Capriotti <capriott@debian.org>  Fri, 14 Nov 2025 20:17:20 +0100

autoradio (3.8.3-2) unstable; urgency=medium

  * d/control: fix python setuptools Build-Depends

 -- Andrea Capriotti <capriott@debian.org>  Fri, 14 Nov 2025 19:44:38 +0100

autoradio (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3
  * d/watch: update version to 5

 -- Andrea Capriotti <capriott@debian.org>  Fri, 14 Nov 2025 19:23:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: Andrea Capriotti <capriott@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
-Build-Depends-Indep:
+ debhelper-compat (= 13),
  dh-sequence-python3,
+ python3-configobj,
+ python3-django,
+ python3-setuptools,
  gettext,
  help2man,
  libjs-jquery,
  python3,
- python3-configobj,
  python3-dbus,
- python3-django,
- python3-magic,
- python3-setuptools
-Standards-Version: 4.5.0
+ python3-magic
+Standards-Version: 4.7.2
 Homepage: https://github.com/pat1/autoradio
 Vcs-Git: https://salsa.debian.org/debian/autoradio.git
 Vcs-Browser: https://salsa.debian.org/debian/autoradio
@@ -38,6 +37,7 @@
  python3-mutagen,
  python3-pil,
  python3-reportlab,
+ python3-gi,
  speex,
  sqlite3,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,14 @@
 export PYTHONDONTWRITEBYTECODE=true
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
 override_dh_auto_clean:
 		dh_auto_clean
 		python3 setup.py distclean
 		rm -rf autoradio.egg-info
 		rm -rf $$(find autoradio/ -name __pycache__)
-override_dh_auto_build:
-		dh_auto_build
+
 override_dh_link:
 		dh_link usr/share/cortado usr/lib/python3/dist-packages/autoradio/media/sito/playogg/java
 		dh_link usr/share/javascript/jquery usr/lib/python3/dist-packages/autoradio/media/sito/playogg/js
